#
# spec file for package python-spyder-line-profiler
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-spyder-line-profiler
Version:        0.2.0
Release:        bp155.2.10
Summary:        Line profiler plugin for the Spyder IDE
License:        MIT
URL:            https://github.com/spyder-ide/spyder-line-profiler
Source:         https://files.pythonhosted.org/packages/source/s/spyder_line_profiler/spyder_line_profiler-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Spyder, the Scientific Python Development Environment, is an
IDE for researchers, engineers and data analysts.

This is a plugin for the Spyder IDE that integrates the Python line profiler.
It allows seeing the time spent for every line.

%package -n spyder3-line-profiler
Summary:        Line profiler plugin for the Spyder IDE
Requires:       python3-line_profiler
Requires:       spyder3 >= 3

%description -n spyder3-line-profiler
Spyder, the Scientific Python Development Environment, is an
IDE for researchers, engineers and data analysts.

This is a plugin for the Spyder IDE that integrates the Python line profiler.
It allows seeing the time spent for every line.

%prep
%setup -q -n spyder_line_profiler-%{version}

# fix rpmlint non-executable-script
sed -i -e '/^#!\//, 1d' spyder_line_profiler/example/profiling_test_script.py
sed -i -e '/^#!\//, 1d' spyder_line_profiler/example/subdir/profiling_test_script2.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files -n spyder3-line-profiler
%doc CHANGELOG.md README.rst
%license LICENSE.txt
%{python3_sitelib}/*

%changelog
* Thu Jan 30 2020 Todd R <toddrme2178@gmail.com>
- Update to 0.2.0
  + Issues Closed
  * Sorting by time / %% not working correctly
  * Update plugin to Spyder v4
  + Pull Requests Merged
  * PR: Add natural sort for columns
  * PR: Compatibility changes for Spyder 4
  * PR: Fix continuous integration services
  * PR: "Profile by line" Button Behavior
  * Update readme: Plugin can now be installed using conda or pip
  * Add conda recipe
* Wed Nov  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Skip py2 build as we want to remove python2 only spyder
* Thu Aug 16 2018 jengelh@inai.de
- Trim filler wording and adjust grammar.
* Mon Aug 13 2018 toddrme2178@gmail.com
- Update description per upstream request.
* Tue Sep 12 2017 toddrme2178@gmail.com
- Initial version
